Roundup Tracker - Issues

Issue 2550920

classification
Title: Registration with confirmation detects duplcate name when using validation
Type: rfe Severity: normal
Components: Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: rouilj Nosy List: ezio.melotti, rouilj
Priority: normal Keywords: Effort-Low

Created on 2016-07-06 02:03 by rouilj, last changed 2019-11-09 21:44 by rouilj.

Messages
msg5765 Author: [hidden] (rouilj) Date: 2016-07-06 02:03
In:

http://psf.upfronthosting.co.za/roundup/meta/issue555

the user reports the following steps:

  user registers
  gets an email sent to them to confirm the registration
  click on link
  gets back message 'node with key "username" exists'

Need a couple of things:

1) verify username is available before sending registration
   (possibly as an option since this could be used to fish for
   usernames)
2) Change the error message to 'User "username" already exists.'
msg5949 Author: [hidden] (ezio.melotti) Date: 2017-03-27 20:12
A somewhat similar problem happens when other fields, such as email address 
are invalid, see: http://psf.upfronthosting.co.za/roundup/meta/issue591
On bugs.python.org we have a detector to check them 
(https://hg.python.org/tracker/python-
dev/file/default/detectors/userauditor.py -- I don't know if Roundup does 
any attempt at validating the other fields), but this is only triggered 
when the user clicks on the confirmation link.
It would be good to have a way to trigger the detector as soon as the user 
submits, without having to wait for the confirmation email.
msg6810 Author: [hidden] (rouilj) Date: 2019-11-09 21:44
Fixed in in rev5976:71c68961d9f4.

The code to allow the admin to enable/disable username collisions at 
registration time (rather than confirmation) has a set of tests.

The code to pretty up the error message doesn't.
Also it's a little fragile as it overrides a specific ValueError 
exception message. If that message changes the friendlier message will 
not be displayed.

Roundup AFAICT has no way to trigger a detector since that requires a 
'commit to database' flow that only happens on confirmation. At 
registration time a small set of data is stored in the OTK database 
that doesn't trigger detectors.

This change at least fixes the primary complaint.
History
Date User Action Args
2019-11-09 21:44:11rouiljsetstatus: new -> fixed
assignee: rouilj
resolution: fixed
messages: + msg6810
versions: + devel
2017-03-27 20:12:26ezio.melottisetnosy: + ezio.melotti
messages: + msg5949
2016-07-06 02:03:17rouiljcreate